Arch MergeWalls/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/pl |Zamknij otwory |Sprawdź |środowisko pracy Architektura |IconL=Arch_CloseHoles.svg |IconR=Arch_Check.svg |IconC=Workbench_Arch.svg }}")
(Created page with "{{GuiCommand/pl |Name=Arch MergeWalls |Name/pl=Architektura: Połącz ściany |MenuLocation=Architektura → Narzędzia → Połącz ściany |Workbenches=Architektura |SeeAlso=Ściana }}")
Line 10: Line 10:
}}
}}


{{GuiCommand
{{GuiCommand/pl
|Name=Arch MergeWalls
|Name=Arch MergeWalls
|Name/pl=Architektura: Połącz ściany
|MenuLocation=ArchUtilitiesMerge Walls
|MenuLocation=ArchitekturaNarzędziaPołącz ściany
|Workbenches=[[Arch_Workbench|Arch]]
|Workbenches=[[Arch_Workbench/pl|Architektura]]
|SeeAlso=[[Arch_Wall|Arch Wall]]
|SeeAlso=[[Arch_Wall/pl|Ściana]]
}}
}}



Revision as of 17:51, 6 May 2024

Architektura: Połącz ściany

Lokalizacja w menu
Architektura → Narzędzia → Połącz ściany
Środowisko pracy
Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Ściana

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls. The walls must have the same height, width and alignment.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Notes

  • Arch Add can merge walls even if they have different heights, widths and alignments.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])